image: docker:stable

before_script:
  - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN registry.gitlab.com

mirage:
  stage: build
  script:
    - docker build --no-cache --file=Dockerfile -t registry.gitlab.com/public.dream/infrastructure/docker-mirage-ci:latest .
    - docker push registry.gitlab.com/public.dream/infrastructure/docker-mirage-ci:latest

services:
  - docker:dind

variables:
  DOCKER_HOST: tcp://docker:2375
  DOCKER_DRIVER: overlay2
